commit 0897576cbdefdca94c5ee956b3b3381776d5b1d9
parent a19a8e86726d29a596daf8f1eb2a08a51bccd198
Author: parazyd <parazyd@dyne.org>
Date: Fri, 23 Feb 2018 23:14:07 +0100
Implement most of the kitchen
Diffstat:
13 files changed, 280 insertions(+), 3 deletions(-)
diff --git a/act-i/Kitchen.dcgi b/act-i/Kitchen.dcgi
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+. config
+echo Kitchen > $savegame/room
+. functions
+. maps
+
+map_kitchen
+
+cat <<EOM
+## KITCHEN (KIT)
+
+You are in the kitchen.
+
+In the center of the kitchen there is a big table with lots of
+random things.
+
+Behind you there are cupboards, a sink, and a fridge.
+
+The party host is across the table talking to some people.
+EOM
+
+if [ -f "$inventory/.elvesarehere" ]; then
+ cat <<EOM
+Around the table there are Christmas elves that your friend has
+invited.
+
+They're holding lots of cheese and being all-around festive.
+
+[1|Talk to the elves|$path/talk-elves.dcgi|server|port]
+EOM
+fi
+
+cat <<EOM
+[1|Talk to the party host|$path/talk-host.dcgi|server|port]
+
+[1|Inspect the table|$path/kit-table.dcgi|server|port]
+[1|Inspect the cupboards|$path/kit-cups.dcgi|server|port]
+[1|Inspect the sink|$path/kit-sink.dcgi|server|port]
+[1|Inspect the fridge|$path/kit-fridge.dcgi|server|port]
+
+[1|Check inventory|$path/inventory.dcgi|server|port]
+EOM
+navigation
diff --git a/act-i/Toilet1.sh b/act-i/Toilet1.sh
@@ -13,6 +13,9 @@ specific_toilet1() {
_msg "You stick the black dildo in the shower drain,
rendering it shut."
mv "$inventory/$item" "$toilet1/shower"
+ if [ -f "$kitchen/sink/Cheese" ]; then
+ _msg "You hear a strange noise coming from the NeXT machine."
+ fi
;;
esac
}
diff --git a/act-i/functions b/act-i/functions
@@ -168,6 +168,10 @@ use_generic() {
Cocaine)
_msg "You snort the cocaine."
;;
+
+ Cheese)
+ _msg "You eat a piece of cheese."
+ ;;
esac
}
@@ -196,10 +200,21 @@ use_specific() {
. talk-nerds.sh
specific_talk_nerds "$item"
;;
+ talk-host)
+ . talk-host.sh
+ specific_talk_host "$item"
+ ;;
+ talk-elves)
+ . talk-elves.sh
+ specific_talk_elves "$item"
+ ;;
talk-balcony)
. talk-balcony.sh
specific_talk_balcony "$item"
;;
+ kitchen-sink)
+ . kitchen-sink.sh
+ specific_talk_kitchensink "$item"
Hipster_Area)
. Hipster_Area.sh
specific_talk_hipsterarea "$item"
diff --git a/act-i/kitchen-sink.dcgi b/act-i/kitchen-sink.dcgi
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+. config
+echo kitchen-sink > $savegame/room
+. functions
+. maps
+
+map_kitchen
+
+cat <<EOM
+## KITCHEN (KIT)
+
+You are at the kitchen sink.
+EOM
+
+if ! [ -f "$kitchen/sink/.notyet" ]; then
+ _msg "You see a rat disappear into the sink drain!"
+fi
+
+_msg "In the sink you see:"
+list_items_to take "$kitchen/sink"
+
+cat <<EOM
+
+[1|Check inventory|$path/inventory.dcgi|server|port]
+
+[1|Exit|$path/Kitchen.dcgi|server|port]
+EOM
diff --git a/act-i/kitchen-sink.sh b/act-i/kitchen-sink.sh
@@ -0,0 +1,13 @@
+specific_talk_kitchensink() {
+ item="$1"
+ case "$item" in
+ Cheese)
+ _msg "You place the cheese in the kitchen sink."
+ mv "$inventory/$item" "$kitchen/sink"
+ if [ -f "$toilert1/shower/Black_dildo" ]; then
+ _msg "You hear a strange noise coming from the NeXT machine."
+ fi
+ ;;
+ esac
+}
+
diff --git a/act-i/maps b/act-i/maps
@@ -583,3 +583,71 @@ map_toilet1() {
EOM
}
+
+map_kitchen() {
+ cat <<EOM
++-------------------------------------------------------------+
+| | o | |
+| | (R1) o | (R2) |
+|-----------------+....+------+-----------------+....+--------+
+| |
+| |
+| +---+....+---+....+------+....+--------+
+| |bk| | | |x|
+| |bk| | | |x|
+| o o |bk| | | o |x|
+| | DJ | |bk| (T1) | (T2) | TTTT |x|
+| +- +----+ |bk| | | o TTTT YOU |x|
+| |o o o | |bk| | | TTTT☃ <--- |S|
+| |o TTT +----------+--------+ TTTT o|x|
+| |o TTT | | TTTT o|F|
+| +- (HIP) o +| o (H) TTTT o o |x|
+| |_o_☃_<o>| o NX| o o TTTT (KIT) |-|
+| o +| o TTTT |
+| o o |
+| |
+|bk| o |
+|bk| o o |
+|bk| o TTT o +-------+....+--------+
+|bk| o TTT | |
+|bk| (COMP) | (BAL) bbb |
+|bk| | mmm |
+|bk| | |
++---------------+....+----------------------------------------+
+
+EOM
+}
+
+map_talkhost() {
+ cat <<EOM
++-------------------------------------------------------------+
+| | o | |
+| | (R1) o | (R2) |
+|-----------------+....+------+-----------------+....+--------+
+| |
+| |
+| +---+....+---+....+------+....+--------+
+| |bk| | | |x|
+| |bk| | | |x|
+| o o |bk| | | o |x|
+| | DJ | |bk| (T1) | (T2) | TTTT |x|
+| +- +----+ |bk| | | o TTTT |x|
+| |o o o | |bk| | | TTTT |S|
+| |o TTT +----------+--------+ TTTT o|x|
+| |o TTT | YOU | TTTT o|F|
+| +- (HIP) o +| o --->☃ (H) TTTT o o |x|
+| |_o_☃_<o>| o NX| o o TTTT (KIT) |-|
+| o +| o TTTT |
+| o o |
+| |
+|bk| o |
+|bk| o o |
+|bk| o TTT o +-------+....+--------+
+|bk| o TTT | |
+|bk| (COMP) | (BAL) bbb |
+|bk| | mmm |
+|bk| | |
++---------------+....+----------------------------------------+
+
+EOM
+}
diff --git a/act-i/take.dcgi b/act-i/take.dcgi
@@ -5,7 +5,7 @@
case "$(basename $2)" in
Plate_of_Bolognese_Sauce)
- rm -f "$toilet1/.notyet"
+ #rm -f "$toilet1/.notyet"
rm -f "$hipster/obese/.takingashit"
;;
diff --git a/act-i/talk-elves.dcgi b/act-i/talk-elves.dcgi
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+. config
+echo talk-elves > $savegame/room
+. maps
+. functions
+
+map_kitchen
+
+cat <<EOM
+## HIPSTER AREA (HIP)
+
+The cheerful elves are dancing and eating cheese. They don't seem
+to be willing to let go of it.
+
+
+[1|Check inventory|$path/inventory.dcgi|server|port]
+
+[1|Quit the conversation|$path/Kitchen.dcgi|server|port]
+EOM
diff --git a/act-i/talk-elves.sh b/act-i/talk-elves.sh
@@ -0,0 +1,52 @@
+specific_talk_elves() {
+ item="$1"
+
+ case "$item" in
+ Google_Ad_coupons)
+ cat <<EOM
+"We have been used by Google for such a long time. Now we will strike back."
+
+The elves perform their magic and a gangbang commences...
+
+
+Everyone is sucking and fucking. The obese spaniard takes a shit in the
+Macbook hipster's mouth. The two bearded hipsters from the balcony come
+in and start sucking eachother's dicks.
+
+The party host jumps on the table and starts pissing on everyone.
+
+A dog comes into the room and starts fucking one of the girls.
+
+The Macbook hipster bends over the sink and gets fucked by the fat spaniard.
+
+In the midst of all the fucking and sucking, the elves leave their cheese
+on the table.
+
+Once done, everyone pretends like this has never happened.
+EOM
+ rm -f "$inventory/Google_Ad_coupons"
+ rm -f "$kitchen/sink/.notyet"
+ allaround="$inventory
+ $hipsters/coffeetable
+ $books
+ $kitchen/sink
+ $kitchen/cupboard
+ $kitchen/table
+ $fridge
+ $bedroom1
+ $bedroom2"
+ for i in $allaround ; do
+ printf 1 > "$i/Used_condom"
+ done
+ allaround="$books
+ $hipsters/coffeetable
+ $fridge
+ $bedroom1
+ $bedroom2"
+ for i in $allaround ; do
+ printf 1 > "$i/Black_dildo"
+ done
+ printf 1 > "$kitchen/table/Cheese"
+ ;;
+ esac
+}
diff --git a/act-i/talk-gentoo.sh b/act-i/talk-gentoo.sh
@@ -48,6 +48,7 @@ specific_talk_gentoo() {
up and start walking towards the toilet."
printf 1 > "$hipsters/obese/.takingashit"
+ rm -f "$toilet1/.notyet"
cp -f "$hipsters/obese/Plate_of_Bolognese_Sauce" "$hipsters/coffeetable"
;;
diff --git a/act-i/talk-host.dcgi b/act-i/talk-host.dcgi
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+. config
+echo talk-host > $savegame/room
+. maps
+. functions
+
+map_talkhost
+
+cat <<EOM
+## HIPSTER AREA (HIP)
+
+"Hi! Enjoying yourself?" - The host asks.
+
+You respond positively.
+
+
+[1|Check inventory|$path/inventory.dcgi|server|port]
+
+[1|Quit the conversation|$path/Kitchen.dcgi|server|port]
+EOM
diff --git a/act-i/talk-host.sh b/act-i/talk-host.sh
@@ -0,0 +1,11 @@
+specific_talk_host() {
+ item="$1"
+
+ case "$item" in
+ Old_Laptop|Smartphone)
+ _msg '"Oh, you need Internet access? The password is
+ right there on the fridge." - He says as he
+ points towards the fridge.'
+ ;;
+ esac
+}
diff --git a/act-i/usecases.csv b/act-i/usecases.csv
@@ -1,7 +1,7 @@
-Old_Thinkpad,Hipster_Area,talk-gentoo
+Old_Thinkpad,Hipster_Area,talk-gentoo,talk-host
Plastic_bottle_of_rakia,anywhere
Cigarettes,anywhere
-Smartphone,Kitchen,Bedroom1,talk-20h,Toilet2
+Smartphone,Kitchen,Bedroom1,talk-20h,Toilet2,talk-host
Plate_of_Bolognese_Sauce,Kitchen,Hipster_Area,Toilet1,Toilet2,talk-gentoo
Empty_Beer_Bottles,Balcony,Kitchen
Empty_Glasses,Kitchen
@@ -24,6 +24,7 @@ Keyboard,talk-nerds
Mouse,talk-nerds
Google_Ad_coupons,talk-balcony,talk-elves
Cocaine,anywhere
+Cheese,kitchen-sink,anywhere
Also_sprach_Zarathustra,talk-20h
The_Birth_of_Tragedy,talk-20h,talk-gentoo